DefaultTlsSRPGroupVerifier (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class DefaultTlsSRPGroupVerifier

- java.lang.Object
- - org.bouncycastle.crypto.tls.DefaultTlsSRPGroupVerifier

- All Implemented Interfaces:
    TlsSRPGroupVerifier

      public class DefaultTlsSRPGroupVerifier
      extends java.lang.Object
      implements TlsSRPGroupVerifier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Vector` | `DEFAULT_GROUPS`
    `protected java.util.Vector` | `groups`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTlsSRPGroupVerifier()` Accept only the group parameters specified in RFC 5054 Appendix A.
    `DefaultTlsSRPGroupVerifier(java.util.Vector groups)` Specify a custom set of acceptable group parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(SRP6GroupParameters group)` Check whether the given SRP group parameters are acceptable for use.
    `protected boolean` | `areGroupsEqual(SRP6GroupParameters a, SRP6GroupParameters b)`
    `protected boolean` | `areParametersEqual(java.math.BigInteger a, java.math.BigInteger b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_GROUPS

          protected static final java.util.Vector DEFAULT_GROUPS

    - #### groups

          protected java.util.Vector groups

  - ### Constructor Detail

    - #### DefaultTlsSRPGroupVerifier

          public DefaultTlsSRPGroupVerifier()

      Accept only the group parameters specified in RFC 5054 Appendix A.

    - #### DefaultTlsSRPGroupVerifier

          public DefaultTlsSRPGroupVerifier(java.util.Vector groups)

      Specify a custom set of acceptable group parameters.
      Parameters:
        `groups` - a `Vector` of acceptable `SRP6GroupParameters`

  - ### Method Detail

    - #### accept

          public boolean accept(SRP6GroupParameters group)

      Description copied from interface: `TlsSRPGroupVerifier`
      Check whether the given SRP group parameters are acceptable for use.
      Specified by:
        `accept` in interface `TlsSRPGroupVerifier`
      Parameters:
        `group` - the `SRP6GroupParameters` to check
      Returns:
        true if (and only if) the specified group parameters are acceptable

    - #### areGroupsEqual

          protected boolean areGroupsEqual(SRP6GroupParameters a,
                               SRP6GroupParameters b)

    - #### areParametersEqual

          protected boolean areParametersEqual(java.math.BigInteger a,
                                   java.math.BigInteger b)